SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000101: ntop "free of null pointer" - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000101Endian FirewallUncategorizedpublic2007-02-09 03:292008-02-02 07:28
Reportercode_slave 
Assigned Topeter-endian 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target VersionFixed in Version2.2-beta3 
Summary0000101: ntop "free of null pointer"
DescriptionFeb 9 11:13:00 efw ntop[2558]: **WARNING** RRD: rrd_update(/var/ntop/rrd/interfaces/br0/throughput.rrd) error: illegal attempt to update using time 1170990780 when last update time is 1171006841 (minimum one second step)
Feb 9 11:13:09 efw ntop[2558]: **ERROR** SSL(read)ERROR [Thread 2558]: error:140940E5:SSL routines:SSL3_READ_BYTES:ssl handshake failure at s3_pkt.c(837)
Feb 9 11:13:09 efw ntop[2558]: **WARNING** free of NULL pointer @ http.c:3588
Feb 9 11:13:09 efw ntop[2558]: **ERROR** errno 15932704 during sending of page to web client
Feb 9 11:13:09 efw ntop[2558]: **ERROR** SSL(read)ERROR [Thread 2558]: error:140940E5:SSL routines:SSL3_READ_BYTES:ssl handshake failure at s3_pkt.c(837)
Feb 9 11:13:09 efw ntop[2558]: **WARNING** free of NULL pointer @ http.c:3588
Feb 9 11:13:09 efw ntop[2558]: **ERROR** errno 15932704 during sending of page to web client
Feb 9 11:13:09 efw ntop[2558]: **ERROR** SSL(read)ERROR [Thread 2558]: error:140940E5:SSL routines:SSL3_READ_BYTES:ssl handshake failure at s3_pkt.c(837)
Feb 9 11:13:09 efw ntop[2558]: **WARNING** free of NULL pointer @ http.c:3588
Feb 9 11:13:09 efw ntop[2558]: **ERROR** errno 15932704 during sending of page to web client
Feb 9 11:13:09 efw ntop[2558]: **ERROR** SSL(read)ERROR [Thread 2558]: error:140940E5:SSL routines:SSL3_READ_BYTES:ssl handshake failure at s3_pkt.c(837)
Feb 9 11:13:09 efw ntop[2558]: **WARNING** free of NULL pointer @ http.c:3588
Feb 9 11:13:09 efw ntop[2558]: **ERROR** errno 15932704 during sending of page to web client
Additional Informationfound in the log files after visiting the ntop stats page
TagsNo tags attached.
Attached Files

- Relationships
child of 0000367closedra-endian Ntop crashes after a time "Segmentation fault" 

-  Notes
(0000744)
ra-endian (administrator)
2008-01-08 15:32

We now use ntop version 3.3 the problems seems be releated to the version 3.2.

thank you for the report.

- Issue History
Date Modified Username Field Change
2007-02-09 03:29 code_slave New Issue
2007-10-27 22:04 peter-endian Assigned To => peter-endian
2007-10-27 22:04 peter-endian Status new => acknowledged
2007-12-10 17:09 peter-endian Relationship added child of 0000367
2008-01-08 15:32 ra-endian Status acknowledged => resolved
2008-01-08 15:32 ra-endian Fixed in Version => 2.2-beta3
2008-01-08 15:32 ra-endian Resolution open => fixed
2008-01-08 15:32 ra-endian Note Added: 0000744
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker